Subject: Re: [DNSOP] List conduct (was: Re: DNSSEC as a Best Current Practice)

From: Masataka Ohta <[email-masked]>
Date: Thu, 21 Apr 2022 21:59:41 +0900

Suzanne Woolf wrote:

> As some of you have noted,  the thread under the subject "DNSSEC as a
> Best Current Practice" has included some inappropriate posts, not 
> consistent with the IETF Code of Conduct or guidance on keeping the
> WG mailing list professional and productive. A DNSOP mailing list 
> participant has been warned about their posts and asked to stop.

As a person who have fought against SAAs in the main IETF mailing
list about interpretations of "the IETF Code of Conduct" several
times, sometimes followed by resignations of some SAAs, I feel
I should give you chairs some advice on how to and how not to
mention the code.

As is documented in

	https://github.com/ietf/saa/blob/main/sop.md

	Level 0: Initial suggestion
	An SAA team member sends an off-list message to the
	individual on behalf of the SAA team. This message
	clearly identifies the concern, offers assistance
	with re-framing language, and identifies consequences
	for continued inappropriate postings.

you should mention the code with "clearly identifies the
concern" or you are against the due process. Maybe, you
think the requirement is satisfied. But, see below.

> As a reminder to the list: people here can be vigorous and intense
> in their arguments and tone, but generally stay to the civil and
> constructive side, and the chairs don't like stepping into
> substantive technical discussions.

That's simply wrong.

As I, to confirm the freedom speech in IETF, explicitly confirmed
destructive harsh criticisms are not "unprofessional" (w.r.t.
the code) in

	https://mailarchive.ietf.org/arch/msg/ietf/lBs5-1u3asjocT56PoQEdnv1m2g/

without resulting in SAAs' actions. There was no one who
argued against me that the statement were "unprofessional".
There was no one who argued against me that the statement
were "inappropriate" nor "impolite", which means such
destructive statements as

	IPv6 with unnecessarily lengthy 16B addresses without
	valid technical reasoning only to make network
	operations prohibitively painful is a garbage protocol.

and

	LISP, which perform ID to locator mapping, which is
	best performed by DNS, in a lot less scalable way than
	DNS is a garbage protocol.

is protected by "the freedom of speech" and is not "unprofessional"
and is fully acceptable.

So, your post utterly violate due process and should be revoked.

Though you may disagree with the current interpretations on the
code in IETF, you must obtain IETF consensus not here but, maybe,
in the mail IETF list or you can't act based on your disagreement.

> In general, DNSOP has done pretty well at keeping things 
> professional and productive. It's part of the chairs’ job to
> keep it that way.
Recognizing unproductive protocols such as DNSSEC as unproductive
protocols is, though may be to your surprise, productive.

So, before mentioning the code, be aware of the relationship
between "the freedom of speech" and the code.

						Masataka Ohta

PS

This message is sent after several days of "cooling off" period
as a proof that I'm not responding in rage.